/// <reference types="react" />
import { ColorStyles } from '../../types';
import { DropdownItem } from './types';
export declare type DropdownProps = {
    className?: string;
    placeholder: string;
    items: Array<DropdownItem>;
    onChange?: (value: DropdownItem) => void;
    value?: DropdownItem;
    required?: boolean;
    disabled?: boolean;
    colorStyle?: ColorStyles;
};
/**
 * A custom select component that allow multiple selection and display chips for the selected items.
 * @param className
 * @param placeholder
 * @param selected
 * @param required
 * @param items
 * @param onChange
 * @param disabled
 * @constructor
 */
export declare const Dropdown: ({ className, placeholder, value, required, disabled, items, onChange, colorStyle }: DropdownProps) => JSX.Element;
